> For the complete documentation index, see [llms.txt](https://docs.editran.onesait.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.editran.onesait.com/documentacion-editran/editran-connect-v3.3/api/v2/integration-of-apis/4.-transfers.md).

# 4. Transfers

API for querying and managing channels transfers in connect for third-party

## Start channel emission

> Start the emission of the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"4. Transfers","description":"API for querying and managing channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/transfers/send":{"post":{"tags":["4. Transfers"],"summary":"Start channel emission","description":"Start the emission of the specified channel","operationId":"send","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"409":{"description":"conflict"},"500":{"description":"Internal server error"}}}}}}
```

## Retry channel execution

> Reset and retry execution of specified blocked channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"4. Transfers","description":"API for querying and managing channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/transfers/retry":{"post":{"tags":["4. Transfers"],"summary":"Retry channel execution","description":"Reset and retry execution of specified blocked channel","operationId":"retry","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"409":{"description":"conflict"},"500":{"description":"Internal server error"}}}}}}
```

## Reset channel

> Reset the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"4. Transfers","description":"API for querying and managing channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/transfers/reset":{"post":{"tags":["4. Transfers"],"summary":"Reset channel","description":"Reset the specified channel","operationId":"reset","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"409":{"description":"conflict"},"500":{"description":"Internal server error"}}}}}}
```

## Get channel transfers

> Get transfers history of the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"4. Transfers","description":"API for querying and managing channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PageChannelExecutionResponse":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/ChannelExecutionResponse"}},"number":{"type":"integer","format":"int32"},"first":{"type":"boolean"},"last":{"type":"boolean"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"empty":{"type":"boolean"}}},"ChannelExecutionResponse":{"type":"object","properties":{"channelCode":{"type":"string"},"transferId":{"type":"string"},"transferStartDateTime":{"type":"string"},"transferEndDateTime":{"type":"string"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]},"status":{"type":"string"},"error":{"type":"string"},"type":{"type":"string","enum":["PROGRAMADO","MANUAL","EXTERNO"]},"encryption":{"type":"boolean"},"files":{"type":"array","items":{"$ref":"#/components/schemas/ChannelExecutionFileResponse"}}}},"ChannelExecutionFileResponse":{"type":"object","properties":{"fileName":{"type":"string"},"path":{"type":"string"},"hash":{"type":"string"},"size":{"type":"string"},"actionPost":{"type":"string"},"filePathPost":{"type":"string"}}},"SortObject":{"type":"object","properties":{"empty":{"type":"boolean"},"unsorted":{"type":"boolean"},"sorted":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"},"unpaged":{"type":"boolean"},"paged":{"type":"boolean"},"pageSize":{"type":"integer","format":"int32"},"pageNumber":{"type":"integer","format":"int32"}}}}},"paths":{"/integration/v2/channels/{channelCode}/transfers":{"get":{"tags":["4. Transfers"],"summary":"Get channel transfers","description":"Get transfers history of the specified channel","operationId":"getExecutions","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"initialDate","in":"query","description":"Filter by initial execution date (YYYY-MM-DD)","required":false,"schema":{"type":"string","format":"date"}},{"name":"endDate","in":"query","description":"Filter by end execution date (YYYY-MM-DD)","required":false,"schema":{"type":"string","format":"date"}},{"name":"page","in":"query","description":"Page number for pagination","required":true,"schema":{"type":"integer","default":1,"minimum":1}},{"name":"size","in":"query","description":"Page size for pagination","required":true,"schema":{"type":"integer","default":1,"minimum":1}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelExecutionResponse"}}}},"401":{"description":"unhautorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelExecutionResponse"}}}},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelExecutionResponse"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelExecutionResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Get detail of channel transfer

> Get detail of one transfer execution of the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"4. Transfers","description":"API for querying and managing channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ChannelExecutionResponse":{"type":"object","properties":{"channelCode":{"type":"string"},"transferId":{"type":"string"},"transferStartDateTime":{"type":"string"},"transferEndDateTime":{"type":"string"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]},"status":{"type":"string"},"error":{"type":"string"},"type":{"type":"string","enum":["PROGRAMADO","MANUAL","EXTERNO"]},"encryption":{"type":"boolean"},"files":{"type":"array","items":{"$ref":"#/components/schemas/ChannelExecutionFileResponse"}}}},"ChannelExecutionFileResponse":{"type":"object","properties":{"fileName":{"type":"string"},"path":{"type":"string"},"hash":{"type":"string"},"size":{"type":"string"},"actionPost":{"type":"string"},"filePathPost":{"type":"string"}}}}},"paths":{"/integration/v2/channels/{channelCode}/transfers/{transferId}":{"get":{"tags":["4. Transfers"],"summary":"Get detail of channel transfer","description":"Get detail of one transfer execution of the specified channel","operationId":"getDetailExecution","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"transferId","in":"path","description":"Transfer execution identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelExecutionResponse"}}}},"401":{"description":"unhautorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelExecutionResponse"}}}},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelExecutionResponse"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelExecutionResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.editran.onesait.com/documentacion-editran/editran-connect-v3.3/api/v2/integration-of-apis/4.-transfers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
